<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario'])) {
	if ($_SESSION['tipousuario'] == '1')
		header('location:menu_personal.php');
}
if (trim($_SESSION['nombre_validar']) == '') header('location:index.php');
$accion = $_REQUEST["accion"];
$codigo = $_REQUEST["codigo"];
include("fphp.php");
$enlace = cargar_conexion();
$consulta = mysqli_query($enlace, "select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta) != 0) {
	$row = mysqli_fetch_array($consulta);
	$_SESSION['per_validar'] = mostrar_fecha($row['desde']) . ' al ' . mostrar_fecha($row['hasta']) . " (Nom:" . $row['nomina'] . ")";
} else $_SESSION['per_validar'] = '';
if ($_POST['accion'] == 3) {
	///////////////////////////////////////////////// IMPRIMIR REGISTROS ////////////////////////////////////////////////////////////////
	$consulta = mysqli_query($enlace, "select * from empresa where id='" . $_SESSION['id_validar'] . "'");
	if (mysqli_num_rows($consulta) != 0) {
		$row = mysqli_fetch_array($consulta);
		$_POST['pie'] = $row['pie'];
		$_POST['encabeza'] = $row['encabeza'];
		$_POST['empresa'] = (substr($_POST['nomina'], 6, 100) == "" ? $_SESSION['empresa_validar'] : substr($_POST['nomina'], 6, 100));
	}
	require('fpdf.php');

	class PDF extends FPDF
				  
	{
		protected $logo_validar;
		protected $nempresa;
		protected $encabeza;
		protected $usuario;
		protected $subtitulo;
		protected $gerencia;
		protected $division;
		protected $departamento;
		protected $pie;

				
								 
																	   
													   
								  
							  
								  
							 
						   
			   
						   
								  
													 
				 
										
									  
							
						
  

		function set_logo_validar($logo_validar)
		{
			$this->logo_validar = $logo_validar;
		}

		function set_nempresa($nempresa)
		{
			$this->nempresa = $nempresa;
		}

		function set_encabeza($encabeza)
		{
			$this->encabeza = $encabeza;
		}

		function set_usuario($usuario)
		{
			$this->usuario = $usuario;
		}

		function set_subtitulo($subtitulo)
		{
			$this->subtitulo = $subtitulo;
		}

		function set_gerencia($gerencia)
		{
			$this->gerencia = $gerencia;
		}

		function set_division($division)
		{
			$this->division = $division;
		}

		function set_departamento($departamento)
		{
			$this->departamento = $departamento;
		}

		function set_pie($pie)
		{
			$this->pie = $pie;
		}


		function Header()
		{
			$this->Image($_SESSION['logo_validar'], 10, 10, 20, 20);
			$this->SetFont('arial', '', 12);
			$this->Ln(2);
			$this->Cell(0, 0, $this->nempresa, 0, 1, 'R');
			$this->Ln(5);
			$this->Cell(0, 0, $this->encabeza, 0, 1, 'R');
			$this->Ln(5);
			$this->SetFont('arial', '', 10);
			$this->Cell(140);
			$this->Cell(0, 0, 'Fecha: ' . hoy(), 0, 1, 'L');
			$this->Ln(5);
			$this->Cell(140);
			$this->Cell(0, 0, 'Usuario: ' . $this->usuario, 0, 1, 'L');
			$this->Ln(5);

			$this->Ln(10);
			$this->SetFont('arial', 'B', 14);
			$this->Cell(0, 0, 'Reporte General de Contratos', 0, 1, 'C');
			$this->Ln(5);
			$header = array('Item', 'Codigo', 'Detalle', 'Titulo');
			$this->SetFillColor(255, 0, 0);
			$this->SetTextColor(255);
			$this->SetDrawColor(128, 0, 0);
			$this->SetLineWidth(.3);
			$this->SetFont('', '');
			//Cabecera
			$w = array(15, 30, 60, 60);
			for ($i = 0; $i < count($header); $i++)
				$this->Cell($w[$i], 5, $header[$i], 1, 0, 'C', 1);
			$this->Ln();
			//Restauración de colores y fuentes
			$this->SetFillColor(224, 235, 255);
			$this->SetTextColor(0);
			$this->SetFont('');
		}


		//Pie de página ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		function Footer()
		{
			$this->SetY(-15);
			$this->Cell(0, 0, '', 1, 1, 'C');
			$this->SetFont('Times', 'I', 8);
			$this->ln(2);
			$this->Cell(20);
			$this->Cell(0, 0, $this->pie, 0, 1, 'C');
			$this->Cell(0, 10, 'Página ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
		}
	}
 
	//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf = new PDF();
	$pdf->set_nempresa($_SESSION['logo_validar']);
	$pdf->set_nempresa($_POST['empresa_validar']);
	$pdf->set_encabeza($_POST['encabeza']);
	$pdf->set_usuario($_SESSION['usuario']);
	$pdf->set_pie($_POST['pie']);
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial', '', 10);
	$pdf->SetFillColor(224, 235, 255);
	$pdf->SetTextColor(0);
	$consulta = mysqli_query($enlace, "SELECT * from contrato where id='" . $_SESSION['id_validar'] . "' order by detalle");
	$linea = 0;
	$color = 0;
	while ($row = mysqli_fetch_array($consulta)) {
		$linea++;
		$pdf->cell(15, 5, $linea, 0, 0, 'C', $color);
		$pdf->cell(30, 5, $row['codigo'], 0, 0, 'C', $color);
		$pdf->cell(60, 5, $row['detalle'], 0, 0, '', $color);
		$pdf->cell(60, 5, $row['titulo'], 0, 0, '', $color);
		$color = !$color;
	}
	$pdf->Output();
 
} else {

	///////////////////////////////////////////////// INICIO DEL PROGRAMA ////////////////////////////////////////////////////////////////
	menu();
	$entra = 0;
	echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Contrato
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Contrato
&nbsp;&nbsp;<img border = 0 src='img2/contrato.png' alt='Crear Articulos'>:Crear y Cargar Art&iacute;culos al Contrato
&nbsp;&nbsp;<a href='archivo_trabajador_contratos_copiar.php'><img border = 0 src='img2/libreta.png' alt='Reporte'>&nbsp;Copiar Art&iacute;culos</a>
&nbsp;&nbsp;<a href='archivo_trabajador_contratos_historico.php'><img border = 0 src='images/b_reporte.png' alt='Reporte'>&nbsp;Contratos Historicos</a>
</font><hr>";
	echo "<h2>Actualizaci&oacute;n de Contratos</h2>";

	echo "<font face='verdana' size=2>";
	///////////////////////////////////////////////// AGREGAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['graba'] == 1) {
		$consulta = "Select * from contrato where id='" . $_SESSION['id_validar'] . "' and codigo = '" . $_POST['codigo'] . "'";
		$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows == 0) {
			$consulta = "insert into contrato (id, codigo,detalle,titulo) values ('" . $_SESSION['id_validar'] . "','" . $_POST['codigo'] . "',ucase('" . $_POST['detalle'] . "'),ucase('" . $_POST['titulo'] . "'))";
			$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		} else $entra = 1;
	}
	if ($entra) echo "<font face='Verdana, Arial, Helvetica, sans-serif' color ='#FF0000'size=3> (Registro Existe)</font>";
	///////////////////////////////////////////////// ACTUALIZAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['modifica'] == 1) {
		$consulta = "update contrato set detalle=ucase('" . $_POST['detalle'] . "'),titulo=ucase('" . $_POST['titulo'] . "') where id='" . $_SESSION['id_validar'] . "' and codigo='" . $_POST['codigo'] . "' ";
		$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
	///////////////////////////////////////////////// MOSTRAR ENTRADA DE DATOS  ////////////////////////////////////////////////////////////////
	if ((!$_POST || $accion == 2 || $_POST['graba'] == 1 || $_POST['modifica'] == 1) && $accion != 3) {
		echo "<form name = 'entrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo(this)'>";
		echo "  <input type = 'hidden' name = 'graba' value = '1'>";
		echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
		echo "<tr>";
		echo "<td> C&oacute;digo:</td>";
		echo "<td> <input name='codigo' size = '4' maxlength = '4' onkeyup='verificar_codigo(this.form)'></td>";
		echo "</tr>";
		echo "<tr>";
		echo "<td> Detalle (Descripci&oacute;n):</td>";
		echo "<td> <input name='detalle' size = '60' maxlength = '50'></td>";
		echo "</tr>";
		echo "<tr>";
		echo "<td> Titulo del Contrato:</td>";
		echo "<td> <input name='titulo' size = '60' maxlength = '50'></td>";
		echo "</tr>";
		echo "</table>";
		echo "	<script language='JavaScript' type='text/JavaScript'>";
		echo "		document.entrada.codigo.focus()";
		echo "	</script>";
		echo "	<center><input name='procesar' type = 'submit' value = 'Grabar Registro' disabled></center>";
		echo "	</form>";
   
																																									  
				   
																									
																																													 
	}
	///////////////////////////////////////////////// ELIMINAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion == 2) {
		$consulta = "delete from contrato where id='" . $_SESSION['id_validar'] . "' and codigo='" . $codigo . "' ";
		$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
	///////////////////////////////////////////////// MODIFICAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion == 3) {
		$consulta = "Select * from contrato where id='" . $_SESSION['id_validar'] . "' and codigo = '" . $codigo . "'";
		$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows != 0) {
			$row = mysqli_fetch_array($resultado);
			echo "<form name = 'entrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo(this)'>";
			echo "<input type = 'hidden' name = 'modifica' value = '1'>";
			echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
			echo "<tr>";
			echo "<td> C&oacute;digo:</td>";
			echo "<td> <input name='codigo' size = '4' maxlength = '4' value='" . $row['codigo'] . "' readonly></td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td> Detalle (Descripci&oacute;n):</td>";
			echo "<td> <input name='detalle' size = '60' maxlength = '50' value='" . $row['detalle'] . "'></td>";
			echo "</tr>";
			echo "<tr>";
			echo "<td> Titulo:</td>";
			echo "<td> <input name='titulo' size = '60' maxlength = '50' value='" . $row['titulo'] . "'></td>";
			echo "</tr>";
			echo "</table>";
			echo "<table border=0  align = 'center'><tr>";
			echo "<td><input type = 'submit' value = 'Grabar Modificaci&oacute;n'></td>";
			echo "</form>";
			echo "<form action = 'mynomina_constante.php'>";
			echo "<td><input type = 'submit' value = 'Cancelar'></td>";
			echo "</form></table><br>";
		}
	}
	///////////////////////////////////////////////// MOSTRAR TABLA DE REGISTROS ////////////////////////////////////////////////////////////////
	$consulta = "Select * from contrato where id='" . $_SESSION['id_validar'] . "' order by codigo, detalle";
	$resultado = mysqli_query($enlace, $consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0) {
		echo "<table border=1 cellpadding=2 cellspacing=0 width='600' align='center'>";
		echo "<tr BGcolor='#00BFFF' >";
		echo "<th ali=center><font face='verdana' size=2>C&oacute;digo</font></th> ";
		echo "<th ali=center><font face='verdana' size=2>Detalle</font></th>";
		echo "<th ali=center><font face='verdana' size=2>T&iacute;tulo</font></th>";
		echo "<th colspan=3 ali=center><font face='verdana' size=3>Acci&oacute;n</font></th></tr>";
		for ($cont = 0; $cont < $num_rows; $cont++) {
			$row = mysqli_fetch_array($resultado);
			if ($color) $tcolor = "#BFE5FF";
			else $tcolor = "#F4FEFF";
			$color = !$color;
			echo '<tr bgcolor="' . $tcolor . '" >';
			echo '<td width="100" align="center">' . $row['codigo'] . '</td>';
			echo '<td width="400">' . $row['detalle'] . '</td>';
			echo '<td width="400">' . $row['titulo'] . '</td>';
			$codigo = $row['codigo'];
			if (substr($_SESSION['acceso_validar'], 17, 1) == 0)
				echo "<td width='60' align='center'></td>";
			else echo "<td width='60' align='center'><a onclick='return validar_elimina()' href='" . $_SERVER['PHP_SELF'] . "?accion=2&codigo=" . $codigo . "'><img  border = 0  src='images/b_elimina.png' alt='ELIMINAR éste registro' ></a></td>";
			echo "<td width='60' align='center'><a href='" . $_SERVER['PHP_SELF'] . "?accion=3&codigo=" . $codigo . "'><img border = 0 src='images/b_edit.png' alt='MODIFICAR éste registro'></a></td>";
			echo "<td width='60' align='center'><a href='archivo_trabajador_contratos_articulos.php?contrato=" . $codigo . "'><img border = 0 src='img2/contrato.png' alt='MODIFICAR éste registro'></a></td>";
			echo '</tr>';
		}
		echo '</table>';
		echo "<form name='imprimir' method='POST' target ='_blank' action='" . $_SERVER['PHP_SELF'] . "' enctype='multipart/form-data'>";
		echo "<input type = 'hidden' name = 'accion' value = '3'>";
		echo "<center><input type = 'submit' value = 'Imprimir Resultado'></center></form>";
	} else echo "<hr>";
	mysqli_free_result($resultado);
	mysqli_close($enlace);
	echo "	<script language='JavaScript' type='text/JavaScript'>";
	echo "		document.entrada.codigo.focus()";
	echo "	</script>";
	echo "</body>";
	echo "</html>";
}
?>